import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {PageHelpContentsComponent} from "../openaireLibrary/dashboard/helpTexts/page-help-contents.component";
import {AdminDashboardGuard} from "../utils/adminDashboard.guard";

@NgModule({
    imports: [
        RouterModule.forChild([
            { path: '', canActivate: [AdminDashboardGuard], component: PageHelpContentsComponent}
        ])
    ]
})
export class PageHelpContentsRoutingModule { }
