import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {PagesComponent} from "../openaireLibrary/dashboard/page/pages.component";
import {IsCommunityOrAdmin} from "../openaireLibrary/connect/communityGuard/isCommunityOrAdmin";
import {AdminDashboardGuard} from "../utils/adminDashboard.guard";

@NgModule({
    imports: [
        RouterModule.forChild([
            { path: '', canActivate: [IsCommunityOrAdmin, AdminDashboardGuard], component: PagesComponent}
        ])
    ]
})
export class PagesRoutingModule { }
