import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {PortalsComponent} from "../openaireLibrary/dashboard/portal/portals.component";
import {AdminLoginGuard} from "../openaireLibrary/login/adminLoginGuard.guard";

@NgModule({
  imports: [
    RouterModule.forChild([
      { path: '', canActivate: [AdminLoginGuard], component: PortalsComponent}
    ])
  ]
})
export class PortalsRoutingModule { }
